## org.apache.mahout.math.hadoop.decomposer
Class DistributedLanczosSolver.DistributedLanczosSolverJob

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.math.hadoop.decomposer.DistributedLanczosSolver.DistributedLanczosSolverJob

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

Enclosing class:
  DistributedLanczosSolver

    public class DistributedLanczosSolver.DistributedLanczosSolverJob

extends AbstractJob

Inner subclass of AbstractJob so we get access to AbstractJob's functionality w.r.t. cmdline options, but still sublcass LanczosSolver.

Field Summary

Fields inherited from class org.apache.mahout.common.AbstractJob
`argMap, inputFile, inputPath, outputFile, outputPath, tempPath`

Constructor Summary
`DistributedLanczosSolver.DistributedLanczosSolverJob()`

Method Summary
`org.apache.hadoop.conf.Configuration` `getConf()`
`int` `run(String[] args)`
`void` `setConf(org.apache.hadoop.conf.Configuration conf)` Overrides the base implementation to install the Oozie action configuration resource into the provided Configuration object; note that ToolRunner calls setConf on the Tool before it invokes run.

Methods inherited from class org.apache.mahout.common.AbstractJob

`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, buildOption, buildOption, getAnalyzerClassFromOption, getCLIOption, getDimensions, getFloat, getFloat, getGroup, getInputFile, getInputPath, getInt, getInt, getOption, getOption, getOption, getOptions, getOutputFile, getOutputPath, getOutputPath, getTempPath, getTempPath, hasOption, keyFor, maybePut, parseArguments, parseArguments, parseDirectories, prepareJob, prepareJob, prepareJob, prepareJob, setS3SafeCombinedInputPath, shouldRunNextPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedLanczosSolver.DistributedLanczosSolverJob

    public DistributedLanczosSolver.DistributedLanczosSolverJob()

Method Detail

### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)

  Description copied from class: `AbstractJob`
  Overrides the base implementation to install the Oozie action configuration resource into the provided Configuration object; note that ToolRunner calls setConf on the Tool before it invokes run.

  Specified by:
    `setConf` in interface `org.apache.hadoop.conf.Configurable`
  Overrides:
    `setConf` in class `AbstractJob`

### getConf

    public org.apache.hadoop.conf.Configuration getConf()

  Specified by:
    `getConf` in interface `org.apache.hadoop.conf.Configurable`
  Overrides:
    `getConf` in class `AbstractJob`

### run

    public int run(String[] args)
            throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.